﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BioLab.Biometrics.Face;
using BioLab.ImageProcessing;

namespace FaceDetection
{
  class MyHaarFaceFeatureExtractor : FaceFeatureExtractor
  {

    public MyHaarFaceFeatureExtractor()
    {
    }

    public MyHaarFaceFeatureExtractor(Image<byte> inputImage)
      : base(inputImage)
    {
    }

    public override void Run()
    {
      int featureA_Width = 5;
      double aspectRatioA = 1.5;
      int featureA_Height = (int)Math.Round(featureA_Width * aspectRatioA, MidpointRounding.AwayFromZero);
      int featureB_Width = 5;
      double aspectRatioB = 1.0;
      int featureB_Height = (int)Math.Round(featureB_Width * aspectRatioB, MidpointRounding.AwayFromZero);
      int featureC_Width = 5;
      double aspectRatioC = 1.0;
      int featureC_Height = (int)Math.Round(featureC_Width * aspectRatioC, MidpointRounding.AwayFromZero);
      int featureD_Width = 5;
      double aspectRatioD = 1.5;
      int featureD_Height = (int)Math.Round(featureD_Width * aspectRatioD, MidpointRounding.AwayFromZero);

      throw new NotImplementedException();
    }
  }
}
